import java.io.*;
import java.lang.*;
import javax.swing.*;
import java.awt.FlowLayout;
import java.awt.event.*;
import rr.modulog.syntaxe.*;

public class AnalyseAction extends AbstractAction{
  private FunctSAFen fenetre;

  public AnalyseAction(FunctSAFen fenetre, String texte){
    super(texte);
    this.fenetre=fenetre;
  }
  
  public void actionPerformed(ActionEvent ev){
    String texteentree = fenetre.getentree().getText();
    String S=texteentree;
    String result = "";
    try {
         Fonction f=new Fonction(S);
         ArbreDeFonction T=f.getArbreDeFonction();
         result = T.toString();
       }
       catch(FonctionException e){
         result = "Erreur "+e;
       } 
    
    String affichage= texteentree+"\n"+result;
    fenetre.getresultat().setText(fenetre.getresultat().getText()+"\n\n"+affichage);
  }
}


