import java.io.*;
import java.lang.*;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import rr.modulog.syntaxe.*;

public class FunctSAFen extends JFrame{
  private JTextField entree;
  private JEditorPane result;

  
  public FunctSAFen(){
    super();
    build();
  }
	
  private void build(){
    setTitle("Analyse Syntaxique des Expressions Fonctionelles"); 
    setSize(640,580); 
    setLocationRelativeTo(null);
    setResizable(false);
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); 
    setContentPane(mettreContenu());
  }
	
  private JPanel mettreContenu(){
    Border raisedbevel, loweredbevel;
    raisedbevel = BorderFactory.createRaisedBevelBorder();
    loweredbevel = BorderFactory.createLoweredBevelBorder();

    JPanel panel = new JPanel();
    panel.setLayout(new FlowLayout());

    JLabel label = new JLabel("Entrer une fonction, par exemple : f(x,y,z)=x*y+z^2",SwingConstants.CENTER);
    label.setFont(new Font("Helvetica",Font.BOLD,18));
    label.setPreferredSize(new Dimension(640,30));
    panel.add(label);

    JLabel labelblanc = new JLabel("");
    labelblanc.setPreferredSize(new Dimension(640,15));
    panel.add(labelblanc);
     
    entree = new JTextField();
    entree.setPreferredSize(new Dimension(600,30));
    entree.setFont(new Font("Helvetica",Font.BOLD,18));
    entree.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(entree);

    JLabel labelblanc1 = new JLabel("");
    labelblanc1.setPreferredSize(new Dimension(640,20));
    panel.add(labelblanc1);

    JLabel label1 = new JLabel("Voici son arbre syntaxique",SwingConstants.CENTER);
    label1.setFont(new Font("Helvetica",Font.BOLD,18));
    label1.setPreferredSize(new Dimension(640,30));
    panel.add(label1);  

    JLabel labelblanc0 = new JLabel("");
    labelblanc.setPreferredSize(new Dimension(640,15));
    panel.add(labelblanc0);
 
    result = new JEditorPane();
    result.setPreferredSize(new Dimension(600,300));
    result.setFont(new Font("Helvetica",Font.BOLD,18));
    JScrollBar scrollBar = new JScrollBar();
    result.setEditable(false);
    JScrollPane zoneScrolable=new JScrollPane(result);
    zoneScrolable.setBorder(BorderFactory.createCompoundBorder(raisedbevel, loweredbevel));
    panel.add(zoneScrolable);

    JLabel labelblanc2 = new JLabel("");
    labelblanc2.setPreferredSize(new Dimension(640,30));
    panel.add(labelblanc2);

    JButton analyse = new JButton(new AnalyseAction(this,"Analyse"));
    analyse.setFont(new Font("Helvetica",Font.BOLD,24));
    panel.add(analyse);

    return panel;
  }

  public JTextField getentree(){
    return entree;
  }

  public JEditorPane getresultat(){
    return result;
  }	
}


