/*This is the class ArbreDeFonction of syntaxe-V3.0*/
/*aucune différence avec la version precedente*/

/*syntaxe is a java package for syntax analysis, evaluation and
management of mathematical functionnal expressions.
Copyright (C) 2008 Robert Rolland  */
/*robert.rolland@acrypta.fr*/

/*Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes de la Licence Publique Générale GNU publiée par la Free Software Foundation (version 2 ou bien toute autre version ultérieure choisie par vous).

Ce programme est distribué car potentiellement utile, mais SANS AUCUNE GARANTIE, 
ni explicite ni implicite, y compris les garanties de commercialisation ou d'adaptation 
dans un but spécifique. Reportez-vous à la Licence Publique Générale GNU pour plus de détails.

Vous devez avoir reçu une copie de la Licence Publique Générale GNU en même temps 
que ce programme ; si ce n'est pas le cas, écrivez à la 
Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, États-Unis.*/


package rr.modulog.syntaxe;

public class ArbreDeFonction{
  public byte              opertype;           // type de l'operateur (0..6)
  public char              signe;              // Si type=0,4
  public short             fonctcode;          // Si type=1
  public short             varcode;            // Si type=2
  public double            constante;          // Si type=3
  public char              separateur;         // Si type=5
  public short             constform;          // Si type=6
  public ArbreDeFonction   oper1;              // Si type=0,1,4,5
  public ArbreDeFonction   oper2;              // Si type=0,5


  
  public ArbreDeFonction(){
  }
    
  public ArbreDeFonction(byte b, char c, short fc, short vc, double ct, char sep, 
                         short ctf, ArbreDeFonction P1, ArbreDeFonction P2) {
    this();	  
    opertype=b;
    signe=c;
    fonctcode=fc;
    varcode=vc;
    constante=ct;
    separateur=sep;
    constform=ctf;
    oper1=P1;
    oper2=P2;    		  		  
  }
  
  
/*****************************************************************/ 

  public void imprime(int niv){
      switch(this.opertype){
        case 0:
          for (short i=1; i <= niv; i++)
            System.out.print('-');
          System.out.println(signe);
          if (oper1!=null){
	    oper1.imprime(niv+1);
	  }
	  else{
	    for (short i=1; i <= niv+1; i++)
              System.out.print('-');
            System.out.println("nil");
	  }
          if (oper2!=null){
	    oper2.imprime(niv+1);
	  }
	  else{
	    for (short i=1; i <= niv+1; i++)
              System.out.print('-');
            System.out.println("nil");
	  }
          break;
        case 1:
          for (short i=1; i <= niv; i++)
            System.out.print('-');
          System.out.println(fonctcode);
	  if (oper1!=null){
	    oper1.imprime(niv+1);
	  }
	  else{
	    for (short i=1; i <= niv+1; i++)
              System.out.print('-');
            System.out.println("nil");
	  }
          break;
        case 2:
          for (short i=1; i <= niv; i++)
            System.out.print('-');
	  System.out.print("Var ");
          System.out.println(varcode);
          break;
        case 3: 
          for (short i=1; i <= niv; i++)
            System.out.print('-');
          System.out.println(constante);
          break;
        case 4:
          for (short i=1; i <= niv; i++)
            System.out.print('-');
          System.out.println(signe);
          if (oper1!=null){
	    oper1.imprime(niv+1);
	  }
	  else{
	    for (short i=1; i <= niv+1; i++)
              System.out.print('-');
            System.out.println("nil");
	  }
          break;
        case 5:
          for (short i=1; i <= niv; i++)
            System.out.print('-');
          System.out.println(separateur);
          if (oper1!=null){
	    oper1.imprime(niv+1);
	  }
	  else{
	    for (short i=1; i <= niv+1; i++)
              System.out.print('-');
            System.out.println("nil");
	  }
          if (oper2!=null){
	    oper2.imprime(niv+1);
	  }
	  else{
	    for (short i=1; i <= niv+1; i++)
              System.out.print('-');
            System.out.println("nil");
	  }
          break;
        case 6: 
          for (short i=1; i <= niv; i++)
            System.out.print('-');
	  System.out.print("Const ");
          System.out.println(constform);
          break;
      } 
  } 

/*****************************************************************/
  
  public String imprime1(int niv){
      String s="";
      String s1="";
      String s2="";
      switch(this.opertype){
        case 0:
          for (short i=1; i <= niv; i++)
            s=s+"_";
           s=s+signe+"\n";        
          if (oper1!=null){
	    s1=oper1.imprime1(niv+1);
            s=s+s1;
	  }
	  else{
	    for (short i=1; i <= niv+1; i++)
              s=s+"_";
            s=s+"nil"+"\n";  
	  }
          if (oper2!=null){
	    s2=oper2.imprime1(niv+1);
            s=s+s2;
	  }
	  else{
	    for (short i=1; i <= niv+1; i++)
              s=s+"_";
            s=s+"nil"+"\n";
	  }
          break;
        case 1:
          for (short i=1; i <= niv; i++)
            s=s+"_";
          s=s+fonctcode+"\n";  
	  if (oper1!=null){
	    s1=oper1.imprime1(niv+1);
            s=s+s1;
	  }
	  else{
	    for (short i=1; i <= niv+1; i++)
              s=s+"_";
            s=s+"nil"+"\n";  
	  }
          break;
        case 2:
          for (short i=1; i <= niv; i++)
            s=s+"_";
          s=s+"Var "+varcode+"\n";  
          break;
        case 3: 
          for (short i=1; i <= niv; i++)
            s=s+"_";
          s=s+constante+"\n";  
          break;
        case 4:
          for (short i=1; i <= niv; i++)
            s=s+"_";
          s=s+signe+"\n";  
          if (oper1!=null){
	    s1=oper1.imprime1(niv+1);
            s=s+s1;
	  }
	  else{
	    for (short i=1; i <= niv+1; i++)
              s=s+"_";
            s=s+"nil"+"\n";  
	  }
          break;
        case 5:
          for (short i=1; i <= niv; i++)
            s=s+"_";
          s=s+separateur+"\n";
          if (oper1!=null){
	    s1=oper1.imprime1(niv+1);
            s=s+s1;
	  }
	  else{
	    for (short i=1; i <= niv+1; i++)
              s=s+"_";
            s=s+"nil"+"\n";
	  }
          if (oper2!=null){
	    s2=oper2.imprime1(niv+1);
            s=s+s2;
	  }
	  else{
	    for (short i=1; i <= niv+1; i++)
              s=s+"_";
            s=s+"nil"+"\n";  
	  }
          break;
        case 6: 
          for (short i=1; i <= niv; i++)
            s=s+"_";
            s=s+"Const "+constform+"\n";
          break;
      }
      return s;      
  } 

/*****************************************************************/

  public String toString(){
      String s="";
      return this.imprime1(1); 
  }  
/*****************************************************************/




  
}



		  


  
  
  
  
