/*This is the class FonctionExeception of syntaxe-V3.0*/
/*Aucune difference par rapport a la version V2.1*/

/*syntaxe is a java package for syntax analysis, evaluation and
management of mathematical functionnal expressions.
Copyright (C) 2008 Robert Rolland  */
/*Robert.rolland@acrypta.fr*/

/*Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes de la Licence Publique Générale GNU publiée par la Free Software Foundation (version 2 ou bien toute autre version ultérieure choisie par vous).

Ce programme est distribué car potentiellement utile, mais SANS AUCUNE GARANTIE, 
ni explicite ni implicite, y compris les garanties de commercialisation ou d'adaptation 
dans un but spécifique. Reportez-vous à la Licence Publique Générale GNU pour plus de détails.

Vous devez avoir reçu une copie de la Licence Publique Générale GNU en même temps 
que ce programme ; si ce n'est pas le cas, écrivez à la 
Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, États-Unis.*/


package rr.modulog.syntaxe;

public class FonctionException extends Exception {
  
  private static String[] tabledesmessages = {
  "Expression correcte",
  "Il manque une parenthèse ouvrante",
  "Il manque une parenthèse fermante",
  "Un nom de variable est incorrect",
  "Il y a des caractères en trop",
  "La chaîne d'entrée est vide",
  "Il y a un nombre non valide",
  "Le nombre de variables ne correspond pas à la définition",
  "Le nom de la fonction existe déjà dans la table",
  "Il manque un signe = ",
  "Un nom de variable est déjà utilisé",
  "Un nom de variable est incorrect",
  "Le nom de la fonction est incorrect",
  "La table de fonctions est pleine",
  "La fonction est utilisée"
  }; 

  public FonctionException(int numero) {
    super(tabledesmessages[numero]);
  }
 
}
